Prime Mover 1.2.4 is now available for both WordPress.org (free versions) and Freemius (PRO versions).

Change log

= 1.2.4 =

  • Fixed: Fatal runtime errors with PHP 8.0.
  • Fixed: Usability issues with security configuration.
  • Fixed: Outdated automated tests.
  • Fixed: Compatibility with PHP 8.0.

PHP 8.0 is the latest PHP version that will be supported by Prime Mover plugin. This PHP version is very new (released last November 26, 2020).

There are a couple of issues found during testing and this is now fixed with version 1.2.4. You could still expect a few deprecated notices particularly from the plugin or WordPress core. This will be fixed in the future release.

Other important changes in version 1.2.4 includes auto-enabling the encryption support for PRO versions. This is for better security. Once enabled, users will know this because there is an information notice that will appear on the settings page. It is suggested to take note for the encryption key and write it down on a paper (keep somewhere safe); just to be safe.

Please read this guide on using the encryption feature with Prime Mover. With version 1.2.4, it should be now very easy for you to use this feature.

The automated tests is now updated also for the plugin and it now runs around ~1700 tests and counting. Your feedback on any issues found is highly appreciated, please reach out to us via our contact page. Thank you!

Emerson Maningo Announcements

Leave a Reply

Your email address will not be published.